<template>
  <div class="card card-secondary" @change.prevent="UpdateStockItem">
    <div class="card-header">
      <div class="row">
        <div class="col-3"><h3 class="card-title">{{ p.name }}</h3></div>
        <div class="col-7"><h3 class="card-title">VIN: {{ p.vin }}</h3></div>
        <div class="col-2 text-right">
          <div class="card-tools">
            <button type="button" class="btn btn-tool" data-card-widget="collapse"
                    title="Collapse">
              <i class="fas fa-minus"></i>
            </button>
          </div>
        </div>
      </div>
    </div>
    <div class="card-body" style="display: block;">
      <div class="row">
        <div class="col-4">
          <div class="card-body p-0">
            <div class="row">
              <div class="col-6">
                <a href="stock.model.image"
                   data-toggle="lightbox" data-title="sample 1 - white"
                   data-gallery="gallery">
                  <img :src="p.model.image"
                       class="img-fluid mb-2" alt="white sample">
                </a>
              </div>
              <div class="col-6 row">
                <div class="col-sm-6" v-for="n in 4">
                  <a href="stock.model.image"
                     data-toggle="lightbox" data-title="sample 1 - white"
                     data-gallery="gallery">
                    <img :src="p.model.image"
                         class="img-fluid mb-2" alt="white sample">
                  </a>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-sm-3" v-for="n in 8">
                <a href="stock.model.image"
                   data-toggle="lightbox"
                   data-title="sample 1 - white"
                   data-gallery="gallery">
                  <img :src="p.model.image"
                       class="img-fluid mb-2" alt="white sample">
                </a>
              </div>
            </div>
          </div>
        </div>
        <div class="col-1"></div>
        <div class="col-6">
          <div class="row">
            <div class="col-sm-6">
              <!-- text input -->
              <div class="form-group">
                <label style="font-size: 13px;color: #1592a5; margin-bottom: 0">РРЦ</label>
                <input type="text" class="form-control form-control-border p-0"
                       id="exampleInputBorder"
                       v-model.number="p.price"
                >
              </div>
            </div>
            <div class="col-sm-6">
              <!-- text input -->
              <div class="form-group">
                <label style="font-size: 13px;color: #1592a5; margin-bottom: 0">СЦ</label>
                <input type="text" class="form-control form-control-border p-0"
                       v-model.number="p.special_price">
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-sm-6">
              <!-- text input -->
              <div class="form-group">
                <label style="font-size: 13px;color: #1592a5; margin-bottom: 0">СКИДКА
                  TRADE-IN</label>
                <input type="text" class="form-control form-control-border p-0"
                       v-model.number="p.trade_in">
              </div>
            </div>
            <div class="col-sm-6">
              <!-- text input -->
              <div class="form-group">
                <label style="font-size: 13px;color: #1592a5; margin-bottom: 0">СКИДКА
                  КАСКО</label>
                <input type="text" class="form-control form-control-border p-0"
                       v-model.number="p.kasko">
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-sm-6">
              <!-- text input -->
              <div class="form-group">
                <label style="font-size: 13px;color: #1592a5; margin-bottom: 0">СКИДКА
                  КРЕДИТ + КАСКО</label>
                <input type="text" class="form-control form-control-border p-0"
                       v-model.number="p.credit">
              </div>
            </div>
            <div class="col-sm-6">
              <!-- text input -->
              <div class="form-group">
                <label style="font-size: 13px;color: #1592a5; margin-bottom: 0">СКИДКА
                  ЛИЗИНГ</label>
                <input type="text" class="form-control form-control-border p-0"
                       v-model.number="p.leasing">
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <div class="form-group">
                <label style="font-size: 13px;color: #1592a5; margin-bottom: 0">ОФФЕР</label>
                <textarea class="form-control" rows="3"
                          placeholder="ОФФЕР"
                          v-model="p.offer"
                >{{ p.offer }}</textarea>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="card-body table-responsive p-0">
          <table class="table table-hover text-nowrap">
            <thead>
            <tr>
              <th style="font-size: 13px;color: #1592a5; margin-bottom: 0">
                СТАТУС
              </th>
              <th style="font-size: 13px;color: #1592a5; margin-bottom: 0">
                ДОБАВЛЕН
              </th>
              <th style="font-size: 13px;color: #1592a5; margin-bottom: 0">
                ДВИГАТЕЛЬ
              </th>
              <th style="font-size: 13px;color: #1592a5; margin-bottom: 0">ЦВЕТ
              </th>
              <th style="font-size: 13px;color: #1592a5; margin-bottom: 0">ОПЦИИ
              </th>
            </tr>
            </thead>
            <tbody>
            <tr>
              <td>
                <switches v-model="p.status" color="green"></switches>
              </td>
              <td>{{ p.created_at }}</td>
              <td>{{ p.engine }}</td>
              <!--                  <td>{{ stock.getColorName() }}</td>-->
              <td>104</td>
            </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
    <!-- /.card-body -->
  </div>
</template>

<script>
import Switches from 'vue-switches'

export default {
  components: {Switches},
  name: "StockItemComponent",
  props: {p: Object},
  methods: {
    UpdateStockItem() {
      axios.post('/api/admin/stock',
          {
            vin: this.p.vin,
            price: this.p.price,
            special_price: this.p.special_price,
            trade_in: this.p.trade_in,
            kasko: this.p.kasko,
            credit: this.p.credit,
            leasing: this.p.leasing,
            offer: this.p.offer,
            status: this.p.status,
          }
      )
    }
  }
}


</script>

<style scoped>

</style>